package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.dynamodb.domain.atrrib.UserBaseAttrib;
import com.caliverse.admin.dynamodb.domain.atrrib.UserNicknameRegistryAttrib;
import com.caliverse.admin.dynamodb.domain.doc.UserNicknameRegistryDoc;

import java.util.List;

public interface UserNicknameRegistryRepository extends DynamoDBRepository<UserNicknameRegistryDoc> {
    UserNicknameRegistryAttrib findUser(String nickname);
    List<String> findAllNicknameByGuid();
    List<UserNicknameRegistryAttrib> findAllAttrib();
}
